> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Criterion



## OpenAPI

````yaml https://api.dev-sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}:
    patch:
      tags:
        - Rubrics
      summary: Update Criterion
      operationId: PATCH-V5-/v5/rubrics/rubric_id/criteria/rubric_criteria_id
      parameters:
        - name: rubric_id
          in: path
          required: true
          schema:
            title: Rubric Id
            type: string
        - name: rubric_criteria_id
          in: path
          required: true
          schema:
            type: string
            title: Rubric Criteria Id
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RubricCriteriaUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RubricCriteriaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    RubricCriteriaUpdateRequest:
      $ref: '#/components/schemas/PartialRubricCriteriaInput'
      title: RubricCriteriaUpdateRequest
    RubricCriteriaResponse:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: rubric_criteria
          title: Object
          default: rubric_criteria
        rubric_id:
          title: Rubric Id
          type: string
        version:
          type: integer
          title: Version
        title:
          type: string
          title: Title
        weight:
          title: Weight
          type: number
        annotations:
          title: Annotations
          additionalProperties: true
          type: object
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - rubric_id
        - version
        - title
        - created_at
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PartialRubricCriteriaInput:
      properties:
        title:
          title: Title
          description: The Criteria text
          type: string
          minLength: 1
        weight:
          title: Weight
          description: Weight multiplier for scoring
          type: number
          minimum: 0
        annotations:
          title: Annotations
          description: Free-form metadata for the Criteria
          additionalProperties: true
          type: object
      additionalProperties: false
      type: object
      title: PartialRubricCriteriaInput
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          title: Error Type
          type: string
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````